Firefox snap for Ubuntu 22.04 contains incompatible MESA libraries

Firefox snap for Ubuntu 22.04 contains incompatible MESA libraries. This is causing instant complete system hangs when certain web sites are visited (discord).

And because this forum facility is based on discord it is really saying something that I need to install Chromium just to get this message to you.

I’m running Linux AARCH64 so the package isn;t even available under download now from the download screen.

So since most ARM systems have special MESA to graphic driver dependencies it would be a lovely idea to not have to forsed to use a snap with an incompatible MESA library.

1 Like

And because this forum facility is based on discord it is really saying something that I need to install Chromium just to get this message to you.

It isn’t. It’s based on Discourse that is a totally different software.

Also, we’re mainly volunteers, we do appreciate that you may be frustrated by facing an issue with Firefox but comments like this will simply make sure that people in general won’t listen to you. All softwares have bugs even Chromium (See https://bugs.chromium.org/p/chromium/issues/list). There’s no need to try to make people feel bad.

FInally, this is a forum for the community and not the right place to report a bug. Feel free to file a bug report on Mozilla bug tracker at https://bugzilla.mozilla.org/enter_bug.cgi?product=Firefox

You can also ask on support.mozilla.org for any help you may need in the future.

Have a nice day.

1 Like

Not sure why my issues would make other people feel bad. But whatever!

The bug is already reported. I’m here to see if anyone else who may have had the problem has a suggestion.

You have a better day.

Could you provide a link to the issue?

IMHO it needs to be reported to Ubuntu/the snap packagers if the packaging of some libs is the cause.